@import "./home/index.css";

* {
	box-sizing: border-box;
}

html,
body {
	margin: 0;
	padding: 0;
	font-family: sans-serif;
	width: 100%;
	height: 100%;
}

x-app {
	display: flex;
	flex-direction: column;
	min-height: 100%;
}

x-app > * {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	/*max-width: 1260px;*/
	margin-left: auto;
	margin-right: auto;
	width: 100%;
}

h1,h2,h3,h4,h5 {
	font-weight: 500;
	margin-top: 0;
	margin: 0;
	max-width: 100%;
	overflow: hidden;
	text-overflow: ellipsis;
}

h2,h3 {
	font-weight: 400;
}

p {
	margin: 0;
}

form {
	display: flex;
	flex-direction: column;
	width: 100%;
	gap: 2rem;
}

a:not(.button).tag,
a:not(.button).tag:hover,
.tag {
	padding: 0.5rem;
	background: #eee;
	border-radius: 0.35rem;
	white-space: pre;
	max-width: 100%;
	overflow: hidden;
	text-overflow: ellipsis;
	text-decoration: none;
	color: #000;
}

label {
	font-size: 0.8rem;
	font-weight: bold;
	line-height: 1.4;
}

input,
select,
textarea,
.option {
	padding: 1rem;
	border-radius: 0.5rem;
	border: 1px solid #ccc;
	font-family: inherit;
	font-size: inherit;
	background: #fff;
	color: inherit;
}
.option:hover,
.option[selected] {
	background: #aaa;
}

input,
textarea {
  -webkit-appearance: none;
}
input[type=checkbox],
input[type=radio] {
  -webkit-appearance: auto;
  cursor: pointer;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
input::placeholder {
	color: #ccc;
}
input[type=number] {
  -moz-appearance: textfield;
}

input:focus,
textarea:focus,
select:focus,
button:focus,
.button:focus {
	outline: none;
}

button,
.button {
	font-size: inherit;
	cursor: pointer;
	border-radius: 0.5rem;
	appearance: none;
	-webkit-appearance: none;
	user-select: none;
	-webkit-user-select: none;
	padding: 1rem;
	padding-left: 1.5rem;
	padding-right: 1.5rem;
	text-align: center;
	text-decoration: none;
	letter-spacing: 0.05rem;
	background: #555;
	border: 1px solid #555;
	color: #fff;
}

button > * {
	pointer-events: none;
}

button[disabled] {
	opacity: 0.25;
	pointer-events: none;
}

button:hover,
button.hover,
.button:hover,
.button.hover {
	background: #333;
	border: 1px solid #333;
}

button.positive,
.button.positive {
	color: #fff;
	background: #6bb569;
	border: 1px solid #6bb569;
}

button.positive:hover,
button.positive.hover,
.button.positive:hover,
.button.positive.hover {
	background: #438d41;
	border: 1px solid #438d41;
}

button.negative,
.button.negative {
	background: #ff6c6c;
	border: 1px solid #ff6c6c;
	color: #fff;
}

button.negative:hover,
button.negative.hover,
.button.negative:hover,
.button.negative.hover {
	background: #ff2c2c;
	border: 1px solid #ff2c2c;
}

a:not(.button),
button.link,
.button.link {
	padding: 0;
	background: none;
	text-decoration: underline;
	color: #999;
	letter-spacing: normal;
	border: 1px solid transparent;
}

a:not(.button):hover,
button.link:hover,
button.link.hover {
	color: #666;
}

img {
	display: block;
}

.page > * {
	padding: 1rem;
	padding-top: 2rem;
	padding-bottom: 2rem;
}

.column {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	width: 100%;
	gap: 1rem;
}

.row {
	display: flex;
	flex-direction: row;
	gap: 0.5rem;
	flex-wrap: wrap;
}

.hidden {
	display: none !important;
}

.invisible {
	visibility: hidden;
}
